Loading...
Searching...
No Matches
Qore::FilePollOperation Class Reference

File poll operation object returned by File polling methods. More...

`#include <QC_FilePollOperation.dox.h>`

Inheritance diagram for Qore::FilePollOperation:
[legend]

## Public Member Functions

| constructor (ReadOnlyFile file, string path, bool to_string, int num_bytes=-1)
| Creates the object with the given goal.
*hash< SocketPollInfo > | continuePoll ()
| Returns a socket poll hash if polling should continue or NOTHING if complete.
| copy ()
| Throws an exception; objects of this class cannot be copied.
| destructor ()
| Destroys the object.
Public Member Functions inherited from Qore::SocketPollOperationBase
| abort ()
| Aborts any asynchroous operation in progress and closes the connected object.
| constructor ()
| Throws an exception; this class is not usable by Qore classes.
| destructor ()
| Destroys the object.
string | getGoal ()
| Returns the goal.
auto | getOutput ()
| Returns any output generated by any completed poll action.
string | getState ()
| Returns the current state.
bool | goalReached ()
| Returns True when the goal as been reached.
Public Member Functions inherited from Qore::AbstractPollOperation
nothing | abort ()
| Aborts any asynchroous operation in progress and closes the connected object.
abstract *hash< SocketPollInfo > | continuePoll ()
| Returns a socket poll hash if polling should continue or NOTHING if complete.
abstract string | getGoal ()
| Returns the goal.
auto | getOutput ()
| Returns any output generated by any completed poll action.
abstract string | getState ()
| Returns the current state.
abstract bool | goalReached ()
| Returns True when the goal as been reached.

## Detailed Description

File poll operation object returned by File polling methods.

This class implements the polling logic for Files and the state machine behind it

private members:

- File sock: the File being polled
- string goal: the goal of the poll operation

Since
  Qore 1.19

## Member Function Documentation

## constructor()

Qore::FilePollOperation::constructor | ( | ReadOnlyFile | file,
|  | string | path,
|  | bool | to_string,
|  | int | num_bytes = -1 )

Creates the object with the given goal.

Parameters

  file | the File object to poll
  path | the path to read
  to_string | if the output should be a string or not; if so, the string's encoding will be the same as the File's encoding
  num_bytes | the number of bytes to read; < 0 means read the entire file

## continuePoll()

*hash< SocketPollInfo > Qore::FilePollOperation::continuePoll | ( |  | ) |

Returns a socket poll hash if polling should continue or NOTHING if complete.

Returns
  NOTHING if there is no more to poll and the poll operation was successful (i.e. the goal was reached), otherwise this method must return a new socket poll hash to continue the polling operation with another operation, after which this method will be called again if a matching event is received for the socket. If a socket poll hash is returned, then the internal state is also updated.

## copy()

Qore::FilePollOperation::copy | ( |  | ) |

Throws an exception; objects of this class cannot be copied.

Exceptions

  FILEPOLLOPERATION-COPY-ERROR | objects of this class cannot be copied

## destructor()

Qore::FilePollOperation::destructor | ( |  | ) |

Destroys the object.

Destroys the object